IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'[dbo].[ReservationAddressHidden]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
  IF (OBJECT_ID('FK_ReservationAddressHidden_BestWesternFK', 'F') IS NOT NULL)
    ALTER TABLE [dbo].[ReservationAddressHidden] NOCHECK CONSTRAINT [FK_ReservationAddressHidden_BestWesternFK]
    
  IF (OBJECT_ID('FK_ReservationAddressHidden_CUSTOMER', 'F') IS NOT NULL)
    ALTER TABLE [dbo].[ReservationAddressHidden] NOCHECK CONSTRAINT [FK_ReservationAddressHidden_CUSTOMER]
    
  IF (OBJECT_ID('FK_ReservationAddressHidden_CUSTOMER1', 'F') IS NOT NULL)
    ALTER TABLE [dbo].[ReservationAddressHidden] NOCHECK CONSTRAINT [FK_ReservationAddressHidden_CUSTOMER1]
    
  IF (OBJECT_ID('FK_ReservationAddressHidden_RegionFK', 'F') IS NOT NULL)
    ALTER TABLE [dbo].[ReservationAddressHidden] CHECK CONSTRAINT [FK_ReservationAddressHidden_RegionFK]
END